Subject: Re: Decrypting a file with EasyPG

From: Chong Yidong <[email-masked]>
Date: Sun, 09 Aug 2009 19:36:51 -0400

merge 3829 4077
thanks

> Using Emacs 23, built with NS on Mac OS 10.4..., and gpg built from
> fink, I am having the following issue:
>
> I can create a new buffer 'test.gpg', edit it, and save it, which
> encrypts the file using one of my keys.
>
> If I close the buffer, then try to open the file, (C-x C-f), I am
> asked for my passphrase, then I get the following error in the
> minibuffer: 'File exists, but cannot be read'.  This is not a
> permissions issue (775).  Also, decrypting from the command line with
> gpg works fine.
>
> Here are the messages in *Messages*:
> /Users/mkayala/org/t: 0% (0/607)
> File exists, but cannot be read

See Bug#3829:

  http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3829